Skip to main content
GET
/
customer
/
v2
/
rpc-plans
/
{productSlug}
RPC Plan Detail
curl --request GET \
  --url https://orbitflare.com/api/customer/v2/rpc-plans/{productSlug} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "plan": {
      "id": 123,
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "features": [
        "<string>"
      ],
      "type": "<string>",
      "price_type": "<string>",
      "pricing": {},
      "base_price": 123,
      "limits": {}
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orbitflare.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token from device or wallet auth

Path Parameters

productSlug
string
required

Product slug (e.g. solana-rpc-lite).

Response

RPC plan retrieved.

success
boolean
Example:

true

message
string
data
object